hash_update_stream
hash
Hash Functions
PHP Manual

# hash_update

Pump data into an active hashing context

### Description

bool hash_update ( resource `$context` , string `$data` )

### Parameters

`context`

  Hashing context returned by hash_init.

`data`

  Message to be included in the hash digest.

### Return Values

Returns `TRUE`.

### See Also

- hash_init
- hash_update_file
- hash_update_stream
- hash_final